Share via


Subscription Rai Policy - Get

Gets the specified Content Filters associated with the Subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.CognitiveServices/raiPolicy/{raiPolicyName}?api-version=2025-10-01-preview

URI Parameters

Name In Required Type Description
raiPolicyName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$

The name of the RaiPolicy associated with the Cognitive Services Account

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

RaiPolicy

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

GetRaiPolicy

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/raiPolicy/raiPolicyName?api-version=2025-10-01-preview

Sample response

{
  "name": "raiPolicyName",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/raiPolicies/raiPolicyName",
  "properties": {
    "basePolicyName": "Microsoft.Default",
    "contentFilters": [
      {
        "name": "Hate",
        "blocking": false,
        "enabled": false,
        "severityThreshold": "High",
        "source": "Prompt"
      },
      {
        "name": "Hate",
        "blocking": true,
        "enabled": true,
        "severityThreshold": "Medium",
        "source": "Completion"
      },
      {
        "name": "Sexual",
        "blocking": true,
        "enabled": true,
        "severityThreshold": "High",
        "source": "Prompt"
      },
      {
        "name": "Sexual",
        "blocking": true,
        "enabled": true,
        "severityThreshold": "Medium",
        "source": "Completion"
      },
      {
        "name": "Selfharm",
        "blocking": true,
        "enabled": true,
        "severityThreshold": "High",
        "source": "Prompt"
      },
      {
        "name": "Selfharm",
        "blocking": true,
        "enabled": true,
        "severityThreshold": "Medium",
        "source": "Completion"
      },
      {
        "name": "Violence",
        "blocking": true,
        "enabled": true,
        "severityThreshold": "Medium",
        "source": "Prompt"
      },
      {
        "name": "Violence",
        "blocking": true,
        "enabled": true,
        "severityThreshold": "Medium",
        "source": "Completion"
      },
      {
        "name": "Jailbreak",
        "blocking": true,
        "enabled": true,
        "source": "Prompt"
      },
      {
        "name": "Protected Material Text",
        "blocking": true,
        "enabled": true,
        "source": "Completion"
      },
      {
        "name": "Protected Material Code",
        "blocking": true,
        "enabled": true,
        "source": "Completion"
      },
      {
        "name": "Profanity",
        "blocking": true,
        "enabled": true,
        "source": "Prompt"
      }
    ],
    "mode": "Asynchronous_filter"
  }
}

Definitions

Name Description
ContentLevel

Level at which content is filtered.

createdByType

The type of identity that created the resource.

CustomBlocklistConfig

Gets or sets the source to which filter applies.

CustomTopicConfig

Gets or sets the source to which filter applies.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

RaiActionType

The action types to apply to the content filters

RaiPolicy

Cognitive Services RaiPolicy.

RaiPolicyContentFilter

Azure OpenAI Content Filter.

RaiPolicyContentSource

Content source to apply the Content Filters.

RaiPolicyMode

Rai policy mode. The enum value mapping is as below: Default = 0, Deferred=1, Blocking=2, Asynchronous_filter =3. Please use 'Asynchronous_filter' after 2025-06-01. It is the same as 'Deferred' in previous version.

RaiPolicyProperties

Azure OpenAI Content Filters properties.

RaiPolicyType

Content Filters policy type.

SafetyProviderConfig

Gets or sets the source to which safety providers applies.

systemData

Metadata pertaining to creation and last modification of the resource.

ContentLevel

Level at which content is filtered.

Value Description
Low
Medium
High

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

CustomBlocklistConfig

Gets or sets the source to which filter applies.

Name Type Description
blocking

boolean

If blocking would occur.

blocklistName

string

Name of ContentFilter.

source

RaiPolicyContentSource

Content source to apply the Content Filters.

CustomTopicConfig

Gets or sets the source to which filter applies.

Name Type Description
blocking

boolean

If blocking would occur.

source

RaiPolicyContentSource

Content source to apply the Content Filters.

topicName

string

Name of RAI topic.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

RaiActionType

The action types to apply to the content filters

Value Description
None
BLOCKING
ANNOTATING
HITL
RETRY

RaiPolicy

Cognitive Services RaiPolicy.

Name Type Description
etag

string

Resource Etag.

id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties

RaiPolicyProperties

Properties of Cognitive Services RaiPolicy.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

RaiPolicyContentFilter

Azure OpenAI Content Filter.

Name Type Description
action

RaiActionType

The action types to apply to the content filters

blocking

boolean

If blocking would occur.

enabled

boolean

If the ContentFilter is enabled.

name

string

Name of ContentFilter.

severityThreshold

ContentLevel

Level at which content is filtered.

source

RaiPolicyContentSource

Content source to apply the Content Filters.

RaiPolicyContentSource

Content source to apply the Content Filters.

Value Description
Prompt
Completion
PreToolCall
PostToolCall
PreRun
PostRun

RaiPolicyMode

Rai policy mode. The enum value mapping is as below: Default = 0, Deferred=1, Blocking=2, Asynchronous_filter =3. Please use 'Asynchronous_filter' after 2025-06-01. It is the same as 'Deferred' in previous version.

Value Description
Default
Deferred
Blocking
Asynchronous_filter

RaiPolicyProperties

Azure OpenAI Content Filters properties.

Name Type Description
basePolicyName

string

Name of Rai policy.

contentFilters

RaiPolicyContentFilter[]

The list of Content Filters.

customBlocklists

CustomBlocklistConfig[]

The list of custom Blocklist.

customTopics

CustomTopicConfig[]

The list of custom rai topics.

mode

RaiPolicyMode

Rai policy mode. The enum value mapping is as below: Default = 0, Deferred=1, Blocking=2, Asynchronous_filter =3. Please use 'Asynchronous_filter' after 2025-06-01. It is the same as 'Deferred' in previous version.

safetyProviders

SafetyProviderConfig[]

The list of Safety Providers.

type

RaiPolicyType

Content Filters policy type.

RaiPolicyType

Content Filters policy type.

Value Description
UserManaged
SystemManaged

SafetyProviderConfig

Gets or sets the source to which safety providers applies.

Name Type Description
blocking

boolean

If blocking would occur.

safetyProviderName

string

Name of RAI Safety Provider.

source

RaiPolicyContentSource

Content source to apply the Content Filters.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.